.icon-wrapper {
  position: relative;
  display: inline-block;
}

.icon {
  cursor: pointer;
  position: relative;
  z-index: 2;
  padding:0
}

.layer {
  position: absolute;
  bottom: 0;
  left: 82.5%;
  transform: translateX(-50%) translateY(100%);
  opacity: 0;
  background: var(--black);
  color: white;
  padding: 10px 5px;
  border-radius: 12px;
  white-space: nowrap;
  transition: all 0.3s ease;
  z-index: 1;
  pointer-events: auto;
  min-width: 12px;
}

.layer.show {
  transform: translateX(-47%) translateY(-20%);
  opacity: 1;
}

.icon-list {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  gap: 8px;
  align-items: center;
}

.icon-list li {
  padding:0 0 5px 0;
  margin:0;

}

.icon-list li a {
  font-size: 20px;
  text-decoration: none;
  color: white;
  transition: color 0.2s;
  padding:0;
  margin:0;
}

.icon-list li a:hover {
  color: #ffd700;
}
